%define ctan_date  20051007
%define texmf      %{_datadir}/texmf
%define texfonts   %{texmf}/fonts
%define texpkg     cm-lgc
%define fontpath   public/%{texpkg}

Name:           tetex-font-cm-lgc
Version:        0.5
Release:        8%{?dist}
Summary:        CM-LGC Type1 fonts for LaTeX
Group:          Applications/Publishing
License:        GPL
URL:            http://www.ctan.org/tex-archive/fonts/ps-type1/cm-lgc
Source0:        cm-lgc-%{ctan_date}.zip
# upstream source - unversioned zip file
# ftp://tug.ctan.org/pub/tex-archive/fonts/ps-type1/cm-lgc.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       tetex-latex tetex-fonts grep
BuildArch:      noarch


%description
This package contains the CM-LGC fonts. These are PostScript Type 1
fonts converted from the METAFONT sources of the Computer Modern font
families. CM-LGC supports the T1, T2A, LGR, and TS1 encodings,
i.e. Latin, Cyrillic, and Greek. There are also support files for
Omega/Lambda.


%prep
%setup -q -n %{texpkg}


%build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{texmf}/tex/latex/%{texpkg}
mkdir -p %{buildroot}%{texfonts}/{ofm,ovf,type1,tfm,vf}/%{fontpath}
mkdir -p %{buildroot}%{texfonts}/{enc,map}/dvips/%{texpkg}

install -p -m 644 tex/latex/%{texpkg}/* %{buildroot}%{texmf}/tex/latex/%{texpkg}/
install -p -m 644 fonts/ofm/%{fontpath}/* %{buildroot}%{texfonts}/ofm/%{fontpath}/
install -p -m 644 fonts/ovf/%{fontpath}/* %{buildroot}%{texfonts}/ovf/%{fontpath}/
install -p -m 644 fonts/type1/%{fontpath}/* %{buildroot}%{texfonts}/type1/%{fontpath}/
install -p -m 644 fonts/tfm/%{fontpath}/* %{buildroot}%{texfonts}/tfm/%{fontpath}/
install -p -m 644 fonts/vf/%{fontpath}/* %{buildroot}%{texfonts}/vf/%{fontpath}/
install -p -m 644 dvips/base/* %{buildroot}%{texfonts}/enc/dvips/%{texpkg}/
install -p -m 644 dvips/config/* %{buildroot}%{texfonts}/map/dvips/%{texpkg}/


%clean
rm -rf %{buildroot}


%post
/usr/bin/texhash
conffile="$(/usr/bin/texconfig-sys conf | /bin/grep updmap.cfg)"
if [ "$1" = "1" ]; then
  /usr/bin/updmap-sys --quiet --nohash --cnffile ${conffile} --enable Map %{texpkg}.map
fi


%postun
conffile="$(/usr/bin/texconfig-sys conf | /bin/grep updmap.cfg)"
if [ "$1" = "0" ]; then
  /usr/bin/updmap-sys --quiet --nohash --cnffile ${conffile} --disable %{texpkg}.map
fi
/usr/bin/texhash


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%{texmf}/tex/latex/%{texpkg}
%{texfonts}/ofm/%{fontpath}
%{texfonts}/ovf/%{fontpath}
%{texfonts}/tfm/%{fontpath}
%{texfonts}/type1/%{fontpath}
%{texfonts}/vf/%{fontpath}
%{texfonts}/enc/dvips/%{texpkg}
%{texfonts}/map/dvips/%{texpkg}


%changelog
* Tue Aug 29 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-8
- Bump release for FC6 rebuild.

* Mon Feb 20 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-6
- Rebuild for FC5.

* Sun Nov  6 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-6
- Use run-time define updmap.cfg (Michal Jaegermann, bug #172491).

* Wed Nov  2 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-5
- Use absolute path commands in post and postun.

* Wed Nov  2 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-4
- Remove explicit outputdir for updmap-sys (bug #172268)
- Readd texhash in post and postun.

* Fri Oct  7 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-3
- Require tetex-fonts.
- Drop cm-lgc-test.tex.
- Use ctan zip soure.
- Other cleanups.

* Wed Jul  6 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-2
- Run updmap-sys only when installing, not when updating

* Wed Jun 15 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 0.5-1
- update to 0.5 (#160464)
- make the package tetex-3 compliant (use updmap-sys instead of updmap,
  update location for .enc and .map files).

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Nov 28 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- Make tarball file name unique.

* Sun Oct 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.1-1
- Updated to 0.3.1.

* Sat Jun  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3-0.fdr.1
- Updated to 0.3.

* Wed May  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.2.1-0.fdr.2
- Removed INSTALL file (bug 997).
- Added cm-lgc-test.tex test document (bug 997).
- Moved preun script to postun (bug 997).
- Split Requires(post,postun) into separate Require statements (bug 997).

* Sun Nov 16 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.2.1-0.fdr.1
- Initial Fedora RPM release.
